<template>
    <div class="contenter">
        <el-button @click="backTo">返回</el-button>
        <div>{{headinfo.title}}</div>
        <div>头像</div>
        <el-button @click="exit">退出</el-button>
        <el-button>使用说明</el-button>
    </div>
</template>

<script setup>

    const {proxy} = getCurrentInstance()
    const router = useRouter()
    const props = defineProps({
        headinfo: {}
    })

    function backTo() {
        router.push({
            path: props.headinfo.backUrl
        })
    }

    function exit() {
        proxy.$modal.confirm('您确认退出吗').then(function () {
            router.push({
                path: '/xjc_login'
            })
        }).then(() => {
        }).catch(() => {
        })

    }


</script>

<style scoped>
    .contenter {
        width: 100%;
        display: flex;
        flex-direction: row;
    }
</style>
